/*
    WikiArchive - Category and Archive extensions for JSPWiki
    
    Copyright (C) 2007 Jens Gulden (jgulden@cs.tu-berlin.de)
    JSPWiki copyright (c) Janne Jalkanen (Janne.Jalkanen@iki.fi)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.tuberlin.cs.flp.jspwiki.plugin.wikiarchive;

import de.tuberlin.cs.flp.jspwiki.CategoryManager;
import java.util.*;

/**
 * Simple archive model interface. An archive in the sence of this model simply is a collection of ArchiveEntries.
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7e39]
 * @author Jens Gulden
 */
public interface ArchiveEntry extends Comparable {
/**
 * Returns the name of this entry.
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm78db]
 * @return 
 */
    public String getName();
/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm78d5]
 * @return 
 */
    public Map getMap();
/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm78cf]
 * @return 
 */
    public String getText();
/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm78c9]
 * @return 
 */
    public String getPlainText();
/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm78c3]
 * @return 
 */
    public boolean isOptional();
}


