/*
    WikiArchive - Category and Archive extensions for JSPWiki
    
    Copyright (C) 2007 Jens Gulden (jgulden@cs.tu-berlin.de)
    JSPWiki copyright (c) Janne Jalkanen (Janne.Jalkanen@iki.fi)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.tuberlin.cs.flp.jspwiki.plugin.wikiarchive;

import de.tuberlin.cs.flp.jspwiki.CategoryManager;

/**
 * An archive entry which treats the corresponding Wiki page just as plain text.
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7e32]
 * @author Jens Gulden
 */
public class ArchiveEntryPlaintext extends ArchiveEntryImpl {

/**
 * 
 * 
 * @poseidon-object-id [I724519c4m1127a063bbemm313c]
 */
    private static final long serialVersionUID = 1l;

/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm742e]
 */
    public static int MAX_TOSTRING = 150;

/**
 * Creates a new instance of ArchiveEntryPlaintext
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7426]
 * @param name 
 */
    public  ArchiveEntryPlaintext(String name) {        
        super(name);
    } 

/**
 * 
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm741f]
 * @return 
 * @param other 
 */
    public boolean equals(Object other) {        
        if ( (other instanceof ArchiveEntryImpl) ) {
            String pageA = this.getPlainText();
            String pageB = ((ArchiveEntryImpl)other).getPlainText();
            if ( pageA == null ) {
                pageA = "";
            }
            if ( pageB == null ) {
                pageB = "";
            }
            return pageA.trim().equals(pageB.trim());
        } else {
            return false;
        }
    } 

/**
 * May be overwritten by subclass.
 * 
 * @poseidon-object-id [Im7d594a32m112753776a4mm7419]
 * @return 
 */
    public String toString() {        
        String s = getName() + ": " + getPlainText();
        if ( s.length() > MAX_TOSTRING ) {
            s = s.substring(0, MAX_TOSTRING) + "...";
        }
        return s;
    } 
 }
